package pwc.taxtech.atms.constant.enums;

public enum EnumInvoiceType {
    VATInvoice(1, "增值税专票"),
    FreightTransport(2, "货运发票"),
    MotorVehicle(3, "机动车发票"),
    AgriculturalProduct(4, "农产品发票"),
    Other(5, "其他发票");

    private int code;
    private String name;

    EnumInvoiceType(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
