package pwc.taxtech.atms.constant.enums;

public enum VoucherSearchEnum {

    S_EqualAnyKey(1, "等于任意一个关键词"),

    S_AnyHeaderKey(2, "以任意一个关键词开头"),

    S_AllKey(3, "包含全部关键词"),

    S_ContainAnyKey(4, "包含任意一个关键词"),

    S_Manual(5, "手工凭证"),

    S_Industry(6, "企业凭证"),

    S_OrAll(7, "或"),

    S_AndAll(8, "与"),

    S_Equal(9, "等于"),

    S_Greater(10, "大于"),

    S_GreaterEqual(11, "大于等于"),

    S_Less(12, "小于"),

    S_LessEqual(13, "小于等于"),
    S_FromTo(14, "从..至");

    private int code;
    private String description;

    VoucherSearchEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
