package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

public class CellTemplateDto {
    @JsonProperty("ID")
    private String id;
    @JsonProperty("reportTemplateID")
    private String reportTemplateId;
    private int rowIndex;
    private String rowName;
    private int columnIndex;
    private String columnName;
    private String comment;
    @JsonProperty("copyFromID")
    private String copyFromId;
    private Integer dataType;
    private Integer isReadOnly;

    /**
     * 单元格的值（从Excel导入的单元格数据)
     */
    private String CellValue;

    public CellTemplateDto() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getReportTemplateId() {
        return reportTemplateId;
    }

    public void setReportTemplateId(String reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }

    public int getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(int rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getRowName() {
        return rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public int getColumnIndex() {
        return columnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getCopyFromId() {
        return copyFromId;
    }

    public void setCopyFromId(String copyFromId) {
        this.copyFromId = copyFromId;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getIsReadOnly() {
        return isReadOnly;
    }

    public void setIsReadOnly(Integer isReadOnly) {
        this.isReadOnly = isReadOnly;
    }
}
