package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class TemplateFormulaDto {
    /**
     * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\TemplateFormulaDto.cs
     */
    @JsonProperty("ID")
    private String id;
    private int rowIndex;
    private int columnIndex;
    private String formula;
    @JsonProperty("templateID")
    private String templateId;
    private Date createTime;
    private Date updateTime;
    private Integer columnEndIndex;
    private String templateName;
    @JsonProperty("templateGroupID")
    private String templateGroupId;
    private String templateGroupName;
    @JsonProperty("serviceTypeID")
    private String serviceTypeId;
    private String serviceTypeName;
    private String cell;
    private String rowName;
    private String columnName;
    private Boolean isManualChange;
    private String instructions;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(int rowIndex) {
        this.rowIndex = rowIndex;
    }

    public int getColumnIndex() {
        return columnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getColumnEndIndex() {
        return columnEndIndex;
    }

    public void setColumnEndIndex(Integer columnEndIndex) {
        this.columnEndIndex = columnEndIndex;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateGroupId() {
        return templateGroupId;
    }

    public void setTemplateGroupId(String templateGroupId) {
        this.templateGroupId = templateGroupId;
    }

    public String getTemplateGroupName() {
        return templateGroupName;
    }

    public void setTemplateGroupName(String templateGroupName) {
        this.templateGroupName = templateGroupName;
    }

    public String getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(String serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public String getServiceTypeName() {
        return serviceTypeName;
    }

    public void setServiceTypeName(String serviceTypeName) {
        this.serviceTypeName = serviceTypeName;
    }

    public String getCell() {
        return cell;
    }

    public void setCell(String cell) {
        this.cell = cell;
    }

    public String getRowName() {
        return rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public Boolean isManualChange() {
        return isManualChange;
    }

    public void setManualChange(Boolean isManualChange) {
        this.isManualChange = isManualChange;
    }

    public String getInstructions() {
        return instructions;
    }

    public void setInstructions(String instructions) {
        this.instructions = instructions;
    }

}
