package pwc.taxtech.atms.dto.approval;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApprovalDto {
    private String projectId;
    private Long reportId;
    private String periodDate;
    private String instanceId;
    private String status;//committed,agreed,disagreed

    @Override
    public String toString() {
        return "ApprovalDto{" +
                "projectId='" + projectId + '\'' +
                ", reportId=" + reportId +
                ", period=" + periodDate +
                ", instaceId='" + instanceId + '\'' +
                ", status='" + status + '\'' +
                '}';
    }

    public Integer getPeriod() {
        return Integer.parseInt(periodDate.split("\\.")[1]);
    }

    public Integer getYear(){
        return Integer.parseInt(periodDate.split("\\.")[0]);
    }
}
