package pwc.taxtech.atms.dto.approval;

import lombok.Getter;
import lombok.Setter;
import org.activiti.engine.task.Task;
import pwc.taxtech.atms.controller.ApprovalController;

@Getter
@Setter
public class ApprovalTask {
    private String taskId;
    private String name;
    private String assignee;
    private String executionId;
    private String processInstanceId;
    private String processDefinitionId;

    @Override
    public String toString() {
        return "ApprovalTask{" +
                "taskId='" + taskId + '\'' +
                ", name='" + name + '\'' +
                ", assignee='" + assignee + '\'' +
                ", executionId='" + executionId + '\'' +
                ", processInstanceId='" + processInstanceId + '\'' +
                ", processDefinitionId='" + processDefinitionId + '\'' +
                '}';
    }

    public ApprovalTask copyfrom(Task task) {
        setTaskId(task.getId());
        setName(task.getName());
        setAssignee(task.getAssignee());
        setExecutionId(task.getExecutionId());
        setProcessInstanceId(task.getProcessInstanceId());
        setProcessDefinitionId(task.getProcessDefinitionId());
        return this;
    }
}
