package pwc.taxtech.atms.dto.user;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class WebUserDto {

    private String uniqueId;

    private String loginName;

    private String localName;

    private String englishName;

    private String password;

    private String title;

    private String address;

    private String comments;

    private String deleteMark;

    private String signImage;

    private String privateKey;

    private String publicKey;

    private String iKeySn;

    private String domain;

    private String displayName;

    private String invalidLoginCount;

    private String isLocked;

    private Boolean hasValidPeriod;

    private Date validStartDate;

    private Date validEndDate;

    @JSONField(name = "UniqueId")
    @JsonProperty("UniqueId")
    public String getUniqueId() {
        return uniqueId;
    }

    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }

    @JSONField(name = "LoginName")
    @JsonProperty("LoginName")
    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    @JSONField(name = "LocalName")
    @JsonProperty("LocalName")
    public String getLocalName() {
        return localName;
    }

    public void setLocalName(String localName) {
        this.localName = localName;
    }

    @JSONField(name = "EnglishName")
    @JsonProperty("EnglishName")
    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    @JSONField(name = "Password")
    @JsonProperty("Password")
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @JSONField(name = "Title")
    @JsonProperty("Title")
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @JSONField(name = "Address")
    @JsonProperty("Address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @JSONField(name = "Comments")
    @JsonProperty("Comments")
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @JSONField(name = "DeleteMark")
    @JsonProperty("DeleteMark")
    public String getDeleteMark() {
        return deleteMark;
    }

    public void setDeleteMark(String deleteMark) {
        this.deleteMark = deleteMark;
    }

    @JSONField(name = "SignImage")
    @JsonProperty("SignImage")
    public String getSignImage() {
        return signImage;
    }

    public void setSignImage(String signImage) {
        this.signImage = signImage;
    }

    @JSONField(name = "PrivateKey")
    @JsonProperty("PrivateKey")
    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    @JSONField(name = "PublicKey")
    @JsonProperty("PublicKey")
    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    @JSONField(name = "IKeySn")
    @JsonProperty("IKeySn")
    public String getiKeySn() {
        return iKeySn;
    }

    public void setiKeySn(String iKeySn) {
        this.iKeySn = iKeySn;
    }

    @JSONField(name = "Domain")
    @JsonProperty("Domain")
    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    @JSONField(name = "DisplayName")
    @JsonProperty("DisplayName")
    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    @JSONField(name = "InvalidLoginCount")
    @JsonProperty("InvalidLoginCount")
    public String getInvalidLoginCount() {
        return invalidLoginCount;
    }

    public void setInvalidLoginCount(String invalidLoginCount) {
        this.invalidLoginCount = invalidLoginCount;
    }

    @JSONField(name = "IsLocked")
    @JsonProperty("IsLocked")
    public String getIsLocked() {
        return isLocked;
    }

    public void setIsLocked(String isLocked) {
        this.isLocked = isLocked;
    }

    @JSONField(name = "HasValidPeriod")
    @JsonProperty("HasValidPeriod")
    public Boolean getHasValidPeriod() {
        return hasValidPeriod;
    }

    public void setHasValidPeriod(Boolean hasValidPeriod) {
        this.hasValidPeriod = hasValidPeriod;
    }

    @JSONField(name = "ValidStartDate")
    @JsonProperty("ValidStartDate")
    public Date getValidStartDate() {
        return validStartDate;
    }

    public void setValidStartDate(Date validStartDate) {
        this.validStartDate = validStartDate;
    }

    @JSONField(name = "ValidEndDate")
    @JsonProperty("ValidEndDate")
    public Date getValidEndDate() {
        return validEndDate;
    }

    public void setValidEndDate(Date validEndDate) {
        this.validEndDate = validEndDate;
    }


}