package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.vat.entity.PeriodCellTemplateConfig;
import pwc.taxtech.atms.vat.entity.PeriodModifiedReportCell;

import java.util.List;

@Setter
@Getter
public class CellCalcInfoDto {
    @JsonProperty("cellID")
    private Long cellId;
    @JsonProperty("reportID")
    private Long reportId;

    private Integer columnIndex;

    private String columnName;

    private Integer rowIndex;

    private String rowName;

    private String formula;

    private String parsedFormula;

    private Boolean isCalculated;

    private String cellValue;
    @JsonProperty("cellTemplateID")
    private String cellTemplateId;
    @JsonProperty("cellTemplateID")
    private Long reportTemplateId;

    private Integer dataType;

    private Boolean isReadOnly;

    private String dataSourceExp;
    private String formulaExp;

    private String description;

    private Boolean dataSourceAvailable;

    private CellTemplateConfigDto cellTemplateConfig;

    private List<DataSourceDto> dataSourceList;

    private InvoiceListDto dataInvoiceList;

    //是否是用户手工调整过得值
    private Boolean isModified;

    //用户直接修改单元格的信息
    private PeriodModifiedReportCell modifiedReportCell;

    private List<CellVoucherDatasourceDto> dataVoucherList;

    private Boolean isConfigured;

    private Boolean hasModelError;

    //private List<ErrorInfoDto> ErrorInfoList;


    //private List<ModelBackFillAmountDesc> entriesCheckResultList;

    //private List<FormulaValidationError> ValidationErrorList ;

    private String comment;

    private List<PeriodCellTemplateConfig> configList;
}
