package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class OutputInvoiceDataSourceDto extends FormulaDataSourceDto {

    public OutputInvoiceDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.OutputInvoice.getCode());
    }

    private String id;
    private Integer period;
    private Date invoiceDate;
    private String buyerName;
    private String invoiceCode;
    private String invoiceNumber;
    private BigDecimal taxRate;
    private BigDecimal taxAmount;
    private Integer invoiceType;
    private String dataSourceId;
    //数据源名称
    private String dataSourceName;
}
