﻿invoiceModule.directive('issuedInvoiceGdView', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('issuedInvoiceGdView.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/issued-invoice-gd-view/issued-invoice-gd-view.html' + '?_=' + Math.random(),
            scope:
            {

            },
            controller: 'issuedInvoiceGdViewController',
            link: function (scope, element) {
                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var pageHeight = $(document).height();
                    var pageSearchHeight = $('.page-search-container').outerHeight();
                    var pageFastSearchHeight = $('.page-fast-search-container').outerHeight();
                    var dataGridPagerHeight = $('.issued-invoice-gd-view-container .page-footer').outerHeight();
                    var subHeight = pageHeight - pageSearchHeight - pageFastSearchHeight - dataGridPagerHeight;
                    scope.dataGridHeight = subHeight > 60 ? (subHeight - 60) : 1;

                    try {
                        $('#dxIssuedInvoiceGdContainer').dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };

                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }
        };
    }
]);