package pwc.taxtech.atms.common.message;

public abstract class OrganizationMessage {
    public static final String NotFindOrg = "NotFindOrg";
    public static final String NotFindOrgEnable = "NotFindOrgEnable";
    public static final String ClientCodeIsExist = "ClientCodeIsExist";
    public static final String OrgNameOrCodeIsExiste = "OrgNameOrCodeIsExist";
    public static final String OrgNameOrCodeTaxPaymentNoIsExist = "OrgNameOrCodeTaxPaymentNoIsExist";
    public static final String OrgEnterpriseSetIsMapping = "OrgEnterpriseSetIsMapping";
    public static final String RelevantEnterpriseAccountSet = "RelevantEnterpriseAccountSet";
    public static final String OrganizationServiceTemplateGroup = "OrganizationServiceTemplateGroup";

    public static final String OrganizationName = "分公司"; // 分公司，第一层
    public static final String SubOrganizationName = "子公司"; // 子公司，子层,
    public static final String OrganizationCount = "机构数";

    public static final String AreaLogMessage = "区域";

    /** 上级机构 不能为 当前机构 */
    public static final String ParentIdCannotEqualsId = "ParentIdCannotEqualsId";

    /** 上级机构 不能为 当前机构的下级机构 */
    public static final String ParentIdCannotBeSubId = "ParentIdCannotBeSubId";
}
