package pwc.taxtech.atms.dto.permission;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class OrganizationPermissionDto {
    @JsonProperty("ID")
    private String id;

    private String name;

    private List<PermissionDto> permissionList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<PermissionDto> getPermissionList() {
        return permissionList;
    }

    public void setPermissionList(List<PermissionDto> permissionList) {
        this.permissionList = permissionList;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        result = prime * result + ((permissionList == null) ? 0 : permissionList.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        OrganizationPermissionDto other = (OrganizationPermissionDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        if (permissionList == null) {
            if (other.permissionList != null)
                return false;
        } else if (!permissionList.equals(other.permissionList))
            return false;
        return true;
    }

}
