package pwc.taxtech.atms.dto.user;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public class DimensionUser {
    @JsonProperty("ID")
    private String id;
    @JsonProperty("dimensionID")
    private String dimensionId;
    private String dimensionName;
    private String dimensionValueName;
    @JsonProperty("dimensionValueID")
    private String dimensionValueId;
    @JsonProperty("userID")
    private String userId;
    private String userName;
    private List<NameDto> roleList;
    private List<NameDto> orgList;
    private Boolean isHeritable;
    private Boolean isAccessible;
    private Boolean hasOriginalRole;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        id = id;
    }

    public String getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(String dimensionId) {
        this.dimensionId = dimensionId;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getDimensionValueName() {
        return dimensionValueName;
    }

    public void setDimensionValueName(String dimensionValueName) {
        this.dimensionValueName = dimensionValueName;
    }

    public String getDimensionValueId() {
        return dimensionValueId;
    }

    public void setDimensionValueId(String dimensionValueId) {
        this.dimensionValueId = dimensionValueId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public List<NameDto> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<NameDto> roleList) {
        this.roleList = roleList;
    }

    public List<NameDto> getOrgList() {
        return orgList;
    }

    public void setOrgList(List<NameDto> orgList) {
        this.orgList = orgList;
    }

    public Boolean getIsHeritable() {
        return isHeritable;
    }

    public void setIsHeritable(Boolean isHeritable) {
        this.isHeritable = isHeritable;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

}
