package pwc.taxtech.atms.dto.vatdto;

import lombok.Getter;
import lombok.Setter;
import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

@Setter
@Getter
public class InputInvoiceDetailDataSourceDto extends FormulaDataSourceDto {
    public InputInvoiceDetailDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.InputInvoiceDetail.getCode());
    }

    public Integer period;
    public Date InvoiceDate;
    public String InvoiceCode;
    public String InvoiceNumber;
    public BigDecimal TaxAmount;
    public BigDecimal TaxRate;
    public String ProductionName;
}
