﻿webservices.factory('cacheService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getAllCache: function () {
            return $http.get('/cache/getallcache', apiConfig.create({ ignoreLoadingBar: true }));
        },  
        getCacheByKey: function (cacheKey) {
            return $http.get('/cache/getcachebykey?cacheKey=' + cacheKey, apiConfig.create());
        },
    }
}]);