﻿vatDashboardModule.controller('OrganizationDashboardController', ['$scope', '$location', '$log', '$uibModal', '$compile', '$translate', '$timeout', '$q', '$interval',
    'apiInterceptor', 'SweetAlert', 'dashboardConfigSummaryService', '$stateParams', 'vatSessionService', 'modelConfigurationService',
    'canvasUtil','vatDashboardService',
    function ($scope, $location, $log, $uibModal, $compile, $translate, $timeout, $q, $interval, apiInterceptor, SweetAlert, dashboardConfigSummaryService, $stateParams,
        vatSessionService, modelConfigurationService, canvasUtil, vatDashboardService) {
        'use strict';
        // $log.debug('vatTaxDifferenceController.ctor()...');
        $scope.grid = {
            differenceOptions: {
                height:'600px',
                bindingOptions: {
                    dataSource: 'differenceList'
                },
                keyExpr: "id",
                noDataText: $translate.instant('AccountVoucher_DataGrid_NoDataText'),
                parentIdExpr: "head_ID",
                expandedRowKeys: [1],
                showBorders: false,
                showColumnLines: false,
                showRowLines:false,
                columnAutoWidth: true,
                autoExpandAll:true,
                columns: [
                    { dataField: 'typeName', caption: $translate.instant('IncomeType') },
                    { dataField: 'description', caption: $translate.instant('Description') },
                    { dataField: 'amount', caption: $translate.instant('Amount'), format: { type: 'fixedPoint', precision: 2 } }
                ],
                selection: {
                    mode: "single"
                }
            }
        };

        var initData = function () {
            $scope.differenceList = [];
            // getService.getDifferenceList();
            // getService.getReasonList();
        };

        (function () {
            initData();
        })();
    }
]);