﻿invoiceModule.directive('outputInvoiceImported', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('outputInvoiceMain.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/issued-invoice-imported/output-invoice-imported.html' + '?_=' + Math.random(),
            scope:
            {
                 
            },
            controller: 'outputInvoiceImportedController',
            link: function (scope, element) {
                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var pageHeight = $(document).height();
                    var pageSearchHeight = $('.page-search-container').outerHeight();
                    var rowHeight = $('.output-invoice-imported .content-container .buttom-row').outerHeight();
                    var subHeight = pageHeight - pageSearchHeight - rowHeight - 45;
                    scope.dataGridHeight = subHeight > 60 ? (subHeight - 60) : 1;
                    try {
                        $('#invoiceGridContainer').dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };

                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }//# end of link
        };
    }
]);